Warehouse Keeper Parman:
Concerning the wealth, you should meet First Elder Lockirin. Everyone knows that it is the 6 Dwarf guilds that are controlling the whole economy of the continent. The first Elder Lockirin is the top person in the 6 guilds. When it comes to wealth, he is the one who has more authority and knowledge than anyone else. Go to the Dwarven Village and meet Lockirin, ask him about the token that symbolizes wealth.
Return